package com.atlassian.confluence.extra.workflow;

import com.atlassian.confluence.event.EventListener;
import com.atlassian.confluence.event.events.ConfluenceEvent;

/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 10/05/2005
 * Time: 10:05:01
 * To change this template use File | Settings | File Templates.
 */
public class WorkflowListener implements EventListener
{
    public void handleEvent(ConfluenceEvent event)
    {
        WorkflowEvent wfe = (WorkflowEvent)event;
        wfe.getClient().getType().operationPerformed(wfe.getOperation(),wfe.getClient(), wfe.getUser());
    }

    public Class[] getHandledEventClasses()
    {
        return new Class[] { WorkflowEvent.class };
    }
}
